com.sun.syndication.io.impl

## Class DCModuleParser

- java.lang.Object
- - com.sun.syndication.io.impl.DCModuleParser

All Implemented Interfaces:
  ModuleParser

    public class DCModuleParser
    extends java.lang.Object
    implements ModuleParser

Parser for the Dublin Core module.

### Constructor Summary

Constructors
Constructor and Description
`DCModuleParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getNamespaceUri()` Returns the namespace URI this parser handles.
`protected java.lang.String` `getTaxonomy(org.jdom.Element desc)` Utility method to parse a taxonomy from an element.
`Module` `parse(org.jdom.Element dcRoot)` Parse an element tree and return the module found in it.
`protected java.util.List` `parseElementList(java.util.List eList)` Utility method to parse a list of strings out of a list of elements.
`protected java.util.List` `parseElementListDate(java.util.List eList)` Utility method to parse a list of dates out of a list of elements.
`protected java.util.List` `parseSubjects(java.util.List eList)` Utility method to parse a list of subjects out of a list of elements.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DCModuleParser

    public DCModuleParser()

### Method Detail

#### getNamespaceUri

    public final java.lang.String getNamespaceUri()

Description copied from interface: `ModuleParser`
Returns the namespace URI this parser handles.

Specified by:
  `getNamespaceUri` in interface `ModuleParser`
Returns:
  the namespace URI.

#### parse

    public Module parse(org.jdom.Element dcRoot)

Parse an element tree and return the module found in it.

Specified by:
  `parse` in interface `ModuleParser`
Parameters:
  `dcRoot` - the root element containing the module elements.
Returns:
  the module parsed from the element tree, null if none.

#### getTaxonomy

    protected final java.lang.String getTaxonomy(org.jdom.Element desc)

Utility method to parse a taxonomy from an element.

Parameters:
  `desc` - the taxonomy description element.
Returns:
  the string contained in the resource of the element.

#### parseSubjects

    protected final java.util.List parseSubjects(java.util.List eList)

Utility method to parse a list of subjects out of a list of elements.

Parameters:
  `eList` - the element list to parse.
Returns:
  a list of subjects parsed from the elements.

#### parseElementList

    protected final java.util.List parseElementList(java.util.List eList)

Utility method to parse a list of strings out of a list of elements.

Parameters:
  `eList` - the list of elements to parse.
Returns:
  the list of strings

#### parseElementListDate

    protected final java.util.List parseElementListDate(java.util.List eList)

Utility method to parse a list of dates out of a list of elements.

Parameters:
  `eList` - the list of elements to parse.
Returns:
  the list of dates.